blueprint: user

title: Team
description: 'Team member profile, no panel access.'
home: /panel/account

permissions:
  access:
    account: true
    panel: true
    site: false
    languages: false
    blog: false
    company: false
    system: false
    users: false
    versions: false


  user:
    changeEmail: true
    changeLanguage: true
    changeName: false
    changePassword: true
    changeRole: false
    delete: false
    update: true

tabs:
  overview:
    icon: dashboard
    columns:
      left:
        width: 1/4
        sections:
          media:
            type: fields
            fields:
              portrait:
                type: files
                multiple: false
                layout: cards
      center:
        width: 2/4
        sections:
          content:
            type: fields
            fields:
              firstname:
                type: text
                width: 1/3
              nickname:
                type: text
                width: 1/3
              lastname:
                type: text
                width: 1/3
              jobtitle:
                type: text
              birthday:
                type: date
                display: dd.mm.yyyy
              phone:
                type: tel
              skills:
                type: tags
              shortText:
                type: textarea
                buttons: false
                maxlength: 100
              bio:
                type: textarea
      right:
        width: 1/4
        sections:
          socials:
            type: fields
            fields:
              socials:
                type: structure
                fields:
                  platform:
                      type: select
                      options:
                        facebook: Facebook
                        twitter: Twitter
                        instagram: Instagram
                        linkedin: LinkedIn
                        xing: Xing
                        github: GitHub
                        youtube: YouTube
                        vimeo: Vimeo
                        pinterest: Pinterest
                        flickr: Flickr
                        behance: Behance
                        dribbble: Dribbble
                        skype: Skype
                        whatsapp: WhatsApp
                        telegram: Telegram
                        slack: Slack
                        snapchat: Snapchat
                        tiktok: TikTok
                  url:
                      type: url
                      placeholder: 'https://'
                      width: 3/4

  files:
    icon: images
    sections:
      files:
        type: files
